k0rdent AI Docs

Create identity provider

Visibility: public · internal ( OpenAPI Custom Extension: x-visibility )

Configure a new external identity provider for SSO.

POST
/v1/regions/global/iam/providers

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Request Body

application/json

displayName*string

Human-readable display name for the identity provider.

Length1 <= length <= 255
tenantDomain*string

Tenant domain associated with the provider. Will be used as login hint for OIDC authentication flows.

orgId?string

Organization identifier. Required when the provider is being created by an operator user to onboard a provider for a specific organization. If not specified, the provider will be onboarded for the current user's organization.

oidcConfig*

OIDC configuration details for onboarding the provider.

enabled?boolean

Enable or disable the provider

Defaulttrue

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.k0rdent.ai/v1/regions/global/iam/providers" \  -H "Content-Type: application/json" \  -d '{    "displayName": "string",    "tenantDomain": "string",    "oidcConfig": {      "discoveryUrl": "https://customerA-idp.com/.well-known/openid-configuration",      "clientId": "CLIENT_ID_FROM_CUSTOMER"    }  }'
{
  "selfLink": "/v1/regions/global/iam/providers/provider-m5n6o7",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "provider-m5n6o7",
  "displayName": "Customer A OIDC",
  "enabled": true,
  "tenantDomain": "string",
  "oidcConfig": {
    "discoveryUrl": "https://customerA-idp.com/.well-known/openid-configuration",
    "clientId": "CLIENT_ID_FROM_CUSTOMER",
    "clientSecret": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings